Overview
PUT
/chat/chat-mentions/{id}chatUpdate chat_mentions
Replace a record in chat-mentions by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- ecosystemIdoptionalstring
- messageIdoptionalstring
- mentionedParticipantIdoptionalstring
Example
{
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string"
}Responses
200
chat_mentions
- idstring
- ecosystemIdstring
- messageIdstring
- mentionedParticipantIdstring
- createdAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string",
"createdAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/chat/chat-mentions/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"messageId": "string",
"mentionedParticipantId": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-mentions/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"messageId\": \"string\",\n \"mentionedParticipantId\": \"string\"\n}",
});
const data = await res.json();